## yamale 6.0.0.1

=== Makefile ===
VERSION ?= $(shell cat yamale/VERSION)

all: test

lint:
	@ruff check --fix .
	@ruff format .

test:
	@tox

clean:
	@rm -rf .tox *.egg-info dist .coverage
	@find . -name '*.pyc' -exec rm -f {} +
	@find . -name '__pycache__' -exec rm -fr {} +

release:
	@git tag $(VERSION)
	@git push --follow-tags --all
	@git push --tags

install-hooks:
	@pre-commit install -f --install-hooks -t pre-commit

.PHONY: test lint tag coverage clean release install-hooks

=== requirements.txt ===
tox==4.13.0

## yamale 5.2.1

=== debian/changelog ===
yamale (5.2.1-2) unstable; urgency=medium

  * Source-only upload.

 -- Anton Gladky <gladk@debian.org>  Sun, 08 Sep 2024 21:55:52 +0200

yamale (5.2.1-1) unstable; urgency=low

  * Initial release. (Closes: #1079739)

 -- Anton Gladky <gladk@debian.org>  Tue, 27 Aug 2024 07:40:30 +0200

=== debian/control ===
Source: yamale
Section: python
Priority: optional
Maintainer: Anton Gladky <gladk@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-pytest,
               python3-ruamel.yaml,
               python3-setuptools,
               python3-yaml,
Standards-Version: 4.6.2.0
Homepage: https://github.com/23andMe/Yamale
Rules-Requires-Root: no

Package: python3-yamale
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
               python3-ruamel.yaml,
               python3-yaml
Description: schema and validator for YAML
 Yamale can be run from the command line to validate
 one or many YAML files. Yamale will search the directory
 you supply (current directory is default) for YAML files.
 Each YAML file it finds it will look in the same directory
 as that file for its schema, if there is no schema Yamale
 will keep looking up the directory tree until it finds one.
 If Yamale can not find a schema it will tell you.

## yamale 6.0.0.1

=== debian/changelog ===
yamale (6.0.0.1-1) unstable; urgency=medium

  * [2ee8234] Synthetic new upstream version 6.0.0.1.
              Added missing test files.

 -- Anton Gladky <gladk@debian.org>  Sun, 16 Feb 2025 22:11:23 +0100

yamale (6.0.0-1) unstable; urgency=medium

  * [83543de] New upstream version 6.0.0
  * [8345fcc] Apply cme fix dpkg

 -- Anton Gladky <gladk@debian.org>  Tue, 11 Feb 2025 07:54:25 +0100

=== debian/control ===
Source: yamale
Uploaders: Anton Gladky <gladk@debian.org>
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-pytest,
               python3-ruamel.yaml,
               python3-setuptools,
               python3-yaml
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/yamale
Vcs-Git: https://salsa.debian.org/python-team/packages/yamale.git
Homepage: https://github.com/23andMe/Yamale
Rules-Requires-Root: no

Package: python3-yamale
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-ruamel.yaml,
         python3-yaml
Description: schema and validator for YAML
 Yamale can be run from the command line to validate
 one or many YAML files. Yamale will search the directory
 you supply (current directory is default) for YAML files.
 Each YAML file it finds it will look in the same directory
 as that file for its schema, if there is no schema Yamale
 will keep looking up the directory tree until it finds one.
 If Yamale can not find a schema it will tell you.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=yamale
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
# try also https://pypi.debian.net/yamale/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/yamale/yamale-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## yamale 6.1.0

=== debian/changelog ===
yamale (6.1.0-1) unstable; urgency=medium

  * [f0ea485] refresh patches
  * [b4aecd8] chore(debian): Update Standards-Version to 4.7.2
  * [f3bd6d8] chore(ci): Add newgateway pipeline includes
  * [bc8b394] New upstream version 6.1.0

 -- Anton Gladky <gladk@debian.org>  Tue, 06 Jan 2026 21:06:07 +0100

=== debian/control ===
Source: yamale
Standards-Version: 4.7.2
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Anton Gladky <gladk@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-pytest,
 python3-ruamel.yaml,
 python3-setuptools,
 python3-yaml,
Vcs-Browser: https://salsa.debian.org/python-team/packages/yamale
Vcs-Git: https://salsa.debian.org/python-team/packages/yamale.git
Homepage: https://github.com/23andMe/Yamale
Rules-Requires-Root: no

Package: python3-yamale
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-ruamel.yaml,
 python3-yaml,
Description: schema and validator for YAML
 Yamale can be run from the command line to validate
 one or many YAML files. Yamale will search the directory
 you supply (current directory is default) for YAML files.
 Each YAML file it finds it will look in the same directory
 as that file for its schema, if there is no schema Yamale
 will keep looking up the directory tree until it finds one.
 If Yamale can not find a schema it will tell you.
